SphinxClient::getLastError
SphinxClient::open
SphinxClient
PHP Manual

# SphinxClient::getLastWarning

(PECL sphinx >= 0.1.0)

SphinxClient::getLastWarning — Get the last warning

### Description

public string SphinxClient::getLastWarning ( void )

Returns last warning message. If there were no warnings during the previous API call, empty string is returned. This method doesn't reset the warning, so you can safely call it several times.

### Parameters

This function has no parameters.

### Return Values

Returns the last warning message or an empty string if there were no warnings.

### See Also

- SphinxClient::getLastError

SphinxClient::getLastError
SphinxClient::open
SphinxClient
PHP Manual